summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMilk Brewster2019-04-17 21:47:25 +0100
committerMilk Brewster2019-04-17 21:47:25 +0100
commit404bec5faf2c363d3a898e4d6b5cc81e638a6361 (patch)
tree10459d8e41e65d632c9348b2d7fd16059b2c857e
parent8d87aec586fcb4cea9bac83a8222f2bd307df970 (diff)
downloadaur-404bec5faf2c363d3a898e4d6b5cc81e638a6361.tar.gz
update
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD11
2 files changed, 11 insertions, 2 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 29b4adb1a81..81bc6602b57 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = bsequencer-git
pkgdesc = Multi channel MIDI step sequencer LV2 plugin.
- pkgver = 6.1
+ pkgver = r56.4663b6d
pkgrel = 1
url = https://github.com/sjaehn/BSEQuencer
arch = x86_64
diff --git a/PKGBUILD b/PKGBUILD
index 2fa5069c48f..881941e5375 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,6 +1,6 @@
# Maintainer: Milk Brewster (milk on freenode irc)
pkgname=bsequencer-git
-pkgver=6.1
+pkgver=r56.4663b6d
pkgrel=1
epoch=
pkgdesc="Multi channel MIDI step sequencer LV2 plugin."
@@ -27,6 +27,15 @@ validpgpkeys=()
# prepare() {
# }
+pkgver() {
+ cd "$srcdir"/BSEQuencer
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+ }
+
+
build() {
cd "$srcdir"/BSEQuencer
}